Class | Irc::Bot::Auth::DefaultBotUserClass
In: | lib/rbot/botuser.rb
Parent: | BotUser

This is the default BotUser: it‘s used for all users which haven‘t identified with the bot

### Methods

autologin= knows? login login_by_mask= new permit? reset_autologin reset_login_by_mask set_default_permission

### Included Modules

Singleton

### Public Class methods

new()

The default BotUser is named ‘everyone‘

### Public Instance methods

autologin=(val)

This method returns without changing anything

knows?(user)

default knows everybody

login(user, password)

We always allow logging in as the default user

login_by_mask=(val)

This method returns without changing anything

permit?(cmd, chan=nil)

DefaultBotUser will check the default_perm after checking the global ones or on all channels if chan is nil

reset_autologin()

The default botuser doesn‘t allow autologin (meaningless)

reset_login_by_mask()

The default botuser allows logins by mask

set_default_permission(cmd, val)

Sets the default permission for the default user (i.e. the ones set by the BotModule writers) on all channels

[Validate]